import * as React from 'react';
import { IActionFunctions, SelectType } from './GraphContext';
export interface IProps {
    defaultTdomain: [number, number];
    defaultYdomain?: [number, number] | [number, number][];
    defaultMouseMode?: SelectType;
    yDomain?: 'Manual' | 'AutoValue' | 'HalfAutoValue';
    hideYAxis?: boolean;
    limitZoom?: boolean;
    height: number;
    width: number;
    showGrid?: boolean;
    XAxisType?: 'time' | 'log' | 'value';
    zoom?: boolean;
    pan?: boolean;
    Tmin?: number;
    Tmax?: number;
    showBorder?: boolean;
    Tlabel?: string;
    Ylabel?: string | string[];
    holdMenuOpen?: boolean;
    menuLocation?: 'left' | 'right' | 'hide';
    legend?: 'hidden' | 'bottom' | 'right';
    showMouse?: boolean | 'horizontal' | 'vertical' | 'none';
    legendHeight?: number;
    legendWidth?: number;
    useMetricFactors?: boolean;
    showDateOnTimeAxis?: boolean;
    cursorOverride?: string;
    onSelect?: (x: number, y: number[], actions: IActionFunctions) => void;
    onCapture?: (legendHeightRequired: number) => string | undefined;
    onCaptureComplete?: () => void;
    onDataInspect?: (tDomain: [number, number]) => void;
    Ymin?: number | number[];
    Ymax?: number | number[];
    snapMouse?: boolean;
}
declare const Plot: React.FunctionComponent<IProps>;
export default Plot;
